import { UmbManagementApiMediaTypeDetailDataCacheInvalidationManager } from './repository/detail/server-data-source/media-type-detail.server.cache-invalidation.manager.js';
import { UmbManagementApiMediaTypeItemDataCacheInvalidationManager } from './repository/item/media-type-item.server.cache-invalidation.manager.js';
let detailDataCacheInvalidationManager;
let itemDataCacheInvalidationManager;
export const onInit = (host) => {
    detailDataCacheInvalidationManager = new UmbManagementApiMediaTypeDetailDataCacheInvalidationManager(host);
    itemDataCacheInvalidationManager = new UmbManagementApiMediaTypeItemDataCacheInvalidationManager(host);
};
export const onUnload = () => {
    detailDataCacheInvalidationManager?.destroy();
    itemDataCacheInvalidationManager?.destroy();
};
